CREATE TABLE CRST_FA_MASS_RET
(
  MASS_RETIREMENT_ID           NUMBER(15),
  BOOK_TYPE_CODE               VARCHAR2(15 BYTE),
  RETIRE_SUBCOMPONENTS_FLAG    VARCHAR2(3 BYTE),
  STATUS                       VARCHAR2(15 BYTE),
  RETIRE_REQUEST_ID            NUMBER,
  REINSTATE_REQUEST_ID         NUMBER,
  RETIREMENT_DATE              DATE,
  PROCEEDS_OF_SALE             NUMBER,
  COST_OF_REMOVAL              NUMBER,
  FROM_COST                    NUMBER,
  INCLUDE_FULLY_RSVD_FLAG      VARCHAR2(3 BYTE),
  TO_COST                      NUMBER,
  DESCRIPTION                  VARCHAR2(80 BYTE),
  RETIREMENT_TYPE_CODE         VARCHAR2(15 BYTE),
  ASSET_TYPE                   VARCHAR2(11 BYTE),
  LOCATION_ID                  NUMBER(15),
  EMPLOYEE_ID                  NUMBER(15),
  CATEGORY_ID                  NUMBER(15),
  ASSET_KEY_ID                 NUMBER(15),
  FROM_ASSET_NUMBER            VARCHAR2(15 BYTE),
  TO_ASSET_NUMBER              VARCHAR2(15 BYTE),
  FROM_DATE_PLACED_IN_SERVICE  DATE,
  TO_DATE_PLACED_IN_SERVICE    DATE,
  ATTRIBUTE1                   VARCHAR2(150 BYTE),
  ATTRIBUTE2                   VARCHAR2(150 BYTE),
  ATTRIBUTE3                   VARCHAR2(150 BYTE),
  ATTRIBUTE4                   VARCHAR2(150 BYTE),
  ATTRIBUTE5                   VARCHAR2(150 BYTE),
  ATTRIBUTE6                   VARCHAR2(150 BYTE),
  ATTRIBUTE7                   VARCHAR2(150 BYTE),
  ATTRIBUTE8                   VARCHAR2(150 BYTE),
  ATTRIBUTE9                   VARCHAR2(150 BYTE),
  ATTRIBUTE10                  VARCHAR2(150 BYTE),
  ATTRIBUTE11                  VARCHAR2(150 BYTE),
  ATTRIBUTE12                  VARCHAR2(150 BYTE),
  ATTRIBUTE13                  VARCHAR2(150 BYTE),
  ATTRIBUTE14                  VARCHAR2(150 BYTE),
  ATTRIBUTE15                  VARCHAR2(150 BYTE),
  ATTRIBUTE_CATEGORY_CODE      VARCHAR2(30 BYTE),
  SEGMENT1_LOW                 VARCHAR2(25 BYTE),
  SEGMENT2_LOW                 VARCHAR2(25 BYTE),
  SEGMENT3_LOW                 VARCHAR2(25 BYTE),
  SEGMENT4_LOW                 VARCHAR2(25 BYTE),
  SEGMENT5_LOW                 VARCHAR2(25 BYTE),
  SEGMENT6_LOW                 VARCHAR2(25 BYTE),
  SEGMENT7_LOW                 VARCHAR2(25 BYTE),
  SEGMENT8_LOW                 VARCHAR2(25 BYTE),
  SEGMENT9_LOW                 VARCHAR2(25 BYTE),
  SEGMENT10_LOW                VARCHAR2(25 BYTE),
  SEGMENT11_LOW                VARCHAR2(25 BYTE),
  SEGMENT12_LOW                VARCHAR2(25 BYTE),
  SEGMENT13_LOW                VARCHAR2(25 BYTE),
  SEGMENT14_LOW                VARCHAR2(25 BYTE),
  SEGMENT15_LOW                VARCHAR2(25 BYTE),
  SEGMENT16_LOW                VARCHAR2(25 BYTE),
  SEGMENT17_LOW                VARCHAR2(25 BYTE),
  SEGMENT18_LOW                VARCHAR2(25 BYTE),
  SEGMENT19_LOW                VARCHAR2(25 BYTE),
  SEGMENT20_LOW                VARCHAR2(25 BYTE),
  SEGMENT21_LOW                VARCHAR2(25 BYTE),
  SEGMENT22_LOW                VARCHAR2(25 BYTE),
  SEGMENT23_LOW                VARCHAR2(25 BYTE),
  SEGMENT24_LOW                VARCHAR2(25 BYTE),
  SEGMENT25_LOW                VARCHAR2(25 BYTE),
  SEGMENT26_LOW                VARCHAR2(25 BYTE),
  SEGMENT27_LOW                VARCHAR2(25 BYTE),
  SEGMENT28_LOW                VARCHAR2(25 BYTE),
  SEGMENT29_LOW                VARCHAR2(25 BYTE),
  SEGMENT30_LOW                VARCHAR2(25 BYTE),
  SEGMENT1_HIGH                VARCHAR2(25 BYTE),
  SEGMENT2_HIGH                VARCHAR2(25 BYTE),
  SEGMENT3_HIGH                VARCHAR2(25 BYTE),
  SEGMENT4_HIGH                VARCHAR2(25 BYTE),
  SEGMENT5_HIGH                VARCHAR2(25 BYTE),
  SEGMENT6_HIGH                VARCHAR2(25 BYTE),
  SEGMENT7_HIGH                VARCHAR2(25 BYTE),
  SEGMENT8_HIGH                VARCHAR2(25 BYTE),
  SEGMENT9_HIGH                VARCHAR2(25 BYTE),
  SEGMENT10_HIGH               VARCHAR2(25 BYTE),
  SEGMENT11_HIGH               VARCHAR2(25 BYTE),
  SEGMENT12_HIGH               VARCHAR2(25 BYTE),
  SEGMENT13_HIGH               VARCHAR2(25 BYTE),
  SEGMENT14_HIGH               VARCHAR2(25 BYTE),
  SEGMENT15_HIGH               VARCHAR2(25 BYTE),
  SEGMENT16_HIGH               VARCHAR2(25 BYTE),
  SEGMENT17_HIGH               VARCHAR2(25 BYTE),
  SEGMENT18_HIGH               VARCHAR2(25 BYTE),
  SEGMENT19_HIGH               VARCHAR2(25 BYTE),
  SEGMENT20_HIGH               VARCHAR2(25 BYTE),
  SEGMENT21_HIGH               VARCHAR2(25 BYTE),
  SEGMENT22_HIGH               VARCHAR2(25 BYTE),
  SEGMENT23_HIGH               VARCHAR2(25 BYTE),
  SEGMENT24_HIGH               VARCHAR2(25 BYTE),
  SEGMENT25_HIGH               VARCHAR2(25 BYTE),
  SEGMENT26_HIGH               VARCHAR2(25 BYTE),
  SEGMENT27_HIGH               VARCHAR2(25 BYTE),
  SEGMENT28_HIGH               VARCHAR2(25 BYTE),
  SEGMENT29_HIGH               VARCHAR2(25 BYTE),
  SEGMENT30_HIGH               VARCHAR2(25 BYTE),
  LAST_UPDATE_DATE             DATE,
  LAST_UPDATED_BY              NUMBER(15),
  CREATION_DATE                DATE,
  CREATED_BY                   NUMBER(15),
  LAST_UPDATE_LOGIN            NUMBER(15),
  GROUP_ASSET_ID               NUMBER(15),
  FROM_THRESHOLD_AMOUNT        NUMBER,
  TO_THRESHOLD_AMOUNT          NUMBER,
  CREATE_REQUEST_ID            NUMBER(15),  
  DUMMY                        CHAR(1),
  LAST_UPDATED_NAME            VARCHAR2(100),
  CREATED_NAME				   VARCHAR2(100)
);
